<div *ngIf="form;else loading">
   <form [formGroup]="form" (ngSubmit)="submit()">
      <div class="form-control">
         <label for="title">Название поста</label>
         <input id="title" type="text" formControlName="title">
         <div class="validation" *ngIf="form.controls['title'].invalid && form.controls['title'].touched">
            <small *ngIf="form.controls['title'].errors?.required">введите название поста</small>
         </div>
      </div>


      <div class="form-control">
         <label for="">Контент поста:</label>
         <textarea name="" id="" cols="30" rows="10" formControlName="text"></textarea>
      </div>

      <button class="btn btn-primary" type="submit" [disabled]="form.invalid || submited">Обновить</button>
   </form>
</div>
<ng-template #loading>
   <p class="text-center">Зарузка...</p>
</ng-template>